/**
 * ParticipationInformationGenerator2.java
 *
 * File generated from the medication2::ParticipationInformationGenerator2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ParticipationInformationGenerator2.
 *
 * 
 */

@XmlType(name = "ParticipationInformationGenerator")
@XmlEnum
@XmlRootElement(name = "ParticipationInformationGenerator2")
public enum ParticipationInformationGenerator2 {
	@XmlEnumValue("AUT")
	AUT("AUT"),
	@XmlEnumValue("ENT")
	ENT("ENT"),
	@XmlEnumValue("INF")
	INF("INF"),
	@XmlEnumValue("WIT")
	WIT("WIT");
	
	private final String value;

    ParticipationInformationGenerator2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ParticipationInformationGenerator2 fromValue(String v) {
        for (ParticipationInformationGenerator2 c: ParticipationInformationGenerator2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
